=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# Set debhelper options
# DEB_BUILD_OPTIONS=nocheck
export PACKAGE=broadvoice16
export VERSION=1.2
#export static=false
export static=0
#export shared=true
export shared=1
#export tools=true
export tools=1
export uploaddir=/usr/src/packages/SOURCES
export builddir=/usr/src/packages/BUILD
export sourcedir=/home/abuild/src
export VERSION_CODENAME = $(shell cat /etc/os-release | grep VERSION_CODENAME | awk -F= '{print $$2}')
export VERSION_ID = $(shell cat /etc/os-release | grep VERSION_ID | awk -F= '{print $$2}')

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	cp $(uploaddir)/COPYING $(uploaddir)/README $(uploaddir)/README.SUSE $(builddir)
	cp $(uploaddir)/meson_options.txt $(uploaddir)/meson.build $(builddir)/FloatingPoint

override_dh_update_autotools_config:

override_dh_autoreconf:

override_dh_auto_build:
	echo $$(VERSION_CODENAME)=$(VERSION_CODENAME)
	echo $$(VERSION_ID)=$(VERSION_ID)
	if [ "$(VERSION_CODENAME)" = "trixie" ] || [ "$(VERSION_ID)" = "23.10" ] || [ "$(VERSION_ID)" = "24.04" ]; then echo "Debian Unstable" ; echo "Build directory /usr/src/packages/BUILD cannot be a parent of source directory /usr/src/packages/BUILD/FloatingPoint" ; mkdir -pv $(sourcedir) ; mv -v $(builddir)/FloatingPoint $(sourcedir) ; meson setup --reconfigure -Dstatic_libs=false -Dprefix=/usr/src/packages/BUILD/debian/tmp/usr $(sourcedir)/FloatingPoint ; else echo "Debian12, Ubuntu 22-23" ; meson $(builddir)/FloatingPoint -Dstatic_libs=false -Dprefix=/usr/src/packages/BUILD/debian/tmp/usr ; fi
	ninja -C $(builddir)

override_dh_auto_test:

override_dh_auto_install:
	ninja -C $(builddir) install
